﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


using HeuristicLab.Clients.Hive.WebJobManager.Models;
using HeuristicLab.Clients.Hive;
using System.Collections.Generic;

namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
{
    /// <summary>
    /// Keeps list of loaded jobs
    /// </summary>
    public class JobViewModel : MasterVM
    {
        public List<RefreshableJob> userJobs { get; set; }

        public RefreshableJob selectedJob { get; set; }

        public List<HiveTask> selectedHiveTasks { get; set; }
        public JobViewModel(HiveWebUser hwu) : base(hwu)
        {
            userJobs = null;
            selectedJob = null;
            selectedHiveTasks = new List<HiveTask>();
            message = "";
        }
    }
}
